Bug 143242 - getting Slab corruption errors in my log files probably from cisco airo driver
getting Slab corruption errors in my log files probably from cisco airo driver
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Dave Jones
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-12-17 12:45 EST by Bryan W Clark
Modified: 2015-01-04 17:14 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-02-12 23:27:46 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
slab corrupt log (8.17 KB, text/plain)
2004-12-17 12:46 EST, Bryan W Clark
no flags Details
lspci -vv output (1.37 KB, text/plain)
2004-12-17 12:46 EST, Bryan W Clark
no flags Details

  None (edit)
Description Bryan W Clark 2004-12-17 12:45:26 EST
I'll attach the log file which displays the errors and lspci -vv
output for the device information.

There is nothing breaking on my machine because of this except it
seems to be disrupting NetworkManager from working correctly.
Comment 1 Bryan W Clark 2004-12-17 12:46:13 EST
Created attachment 108813 [details]
slab corrupt log
Comment 2 Bryan W Clark 2004-12-17 12:46:40 EST
Created attachment 108814 [details]
lspci -vv output
Comment 3 Dave Jones 2005-01-10 23:26:02 EST
any better with latest kernels ?  I added a patch to the airo driver to null out
pointers on free, so I'm hoping it'll now turn into a null dereference oops that
we can get a backtrace out of.
Comment 4 Bryan W Clark 2005-01-11 13:42:02 EST
How about I play with it a little today and check it more.  The slab errors seem
like they've left and I'm not sure if this is related, but this is all I really
have now:


Jan 10 00:33:44 rhbw NET[2896]: /sbin/dhclient-script : updated /etc/resolv.conf
Jan 10 00:33:44 rhbw dhclient: bound to 192.168.1.111 -- renewal in 37889 seconds.
Jan 10 00:33:47 rhbw kernel: ip_tables: (C) 2000-2002 Netfilter core team
Jan 10 00:33:47 rhbw kernel: ip_conntrack version 2.1 (4091 buckets, 32728 max)
- 356 bytes per conntrack
Jan 10 00:33:48 rhbw kernel: Badness in local_bh_enable at kernel/softirq.c:141
Jan 10 00:33:48 rhbw kernel:  [<c0126bf5>] local_bh_enable+0x34/0x51
Jan 10 00:33:48 rhbw kernel:  [<e0f621c1>] handle_vpnup+0x5e/0x13c [cisco_ipsec]
Jan 10 00:33:48 rhbw kernel:  [<e0f61f9f>] interceptor_ioctl+0x3c5/0x450
[cisco_ipsec]
Jan 10 00:33:48 rhbw kernel:  [<c02b6718>] dev_ifsioc+0x439/0x446
Jan 10 00:33:48 rhbw kernel:  [<e0f61bda>] interceptor_ioctl+0x0/0x450 [cisco_ipsec]
Jan 10 00:33:48 rhbw kernel:  [<c02b6aeb>] dev_ioctl+0x3c6/0x48c
Jan 10 00:33:48 rhbw kernel:  [<c02ac148>] sock_ioctl+0xbf/0x3a1
Jan 10 00:33:48 rhbw kernel:  [<c017d09d>] sys_ioctl+0x2b3/0x356
Jan 10 00:33:48 rhbw kernel:  [<c0312077>] syscall_call+0x7/0xb
Jan 10 00:33:48 rhbw kernel: Badness in local_bh_enable at kernel/softirq.c:141
Jan 10 00:33:48 rhbw kernel:  [<c0126bf5>] local_bh_enable+0x34/0x51
Jan 10 00:33:48 rhbw kernel:  [<c02b4644>] dev_remove_pack+0x5/0xa
Jan 10 00:33:48 rhbw kernel:  [<e0f6220d>] handle_vpnup+0xaa/0x13c [cisco_ipsec]
Jan 10 00:33:48 rhbw kernel:  [<e0f61f9f>] interceptor_ioctl+0x3c5/0x450
[cisco_ipsec]
Jan 10 00:33:48 rhbw kernel:  [<c02b6718>] dev_ifsioc+0x439/0x446
Jan 10 00:33:48 rhbw kernel:  [<e0f61bda>] interceptor_ioctl+0x0/0x450 [cisco_ipsec]
Jan 10 00:33:48 rhbw kernel:  [<c02b6aeb>] dev_ioctl+0x3c6/0x48c
Jan 10 00:33:48 rhbw kernel:  [<c02ac148>] sock_ioctl+0xbf/0x3a1
Jan 10 00:33:48 rhbw kernel:  [<c017d09d>] sys_ioctl+0x2b3/0x356
Jan 10 00:33:48 rhbw kernel:  [<c0312077>] syscall_call+0x7/0xb
Jan 10 00:33:48 rhbw kernel: Debug: sleeping function called from invalid
context at net/core/dev.c:2949
Jan 10 00:33:48 rhbw kernel: in_atomic():0[expected: 0], irqs_disabled():1
Jan 10 00:33:48 rhbw kernel:  [<c011deb2>] __might_sleep+0x7d/0x87
Jan 10 00:33:48 rhbw kernel:  [<c02b73b5>] synchronize_net+0x11/0x1b
Jan 10 00:33:48 rhbw kernel:  [<e0f6220d>] handle_vpnup+0xaa/0x13c [cisco_ipsec]
Jan 10 00:33:48 rhbw kernel:  [<e0f61f9f>] interceptor_ioctl+0x3c5/0x450
[cisco_ipsec]
Jan 10 00:33:48 rhbw kernel:  [<c02b6718>] dev_ifsioc+0x439/0x446
Jan 10 00:33:48 rhbw kernel:  [<e0f61bda>] interceptor_ioctl+0x0/0x450 [cisco_ipsec]
Jan 10 00:33:48 rhbw kernel:  [<c02b6aeb>] dev_ioctl+0x3c6/0x48c
Jan 10 00:33:48 rhbw kernel:  [<c02ac148>] sock_ioctl+0xbf/0x3a1
Jan 10 00:33:48 rhbw kernel:  [<c017d09d>] sys_ioctl+0x2b3/0x356
Jan 10 00:33:48 rhbw kernel:  [<c0312077>] syscall_call+0x7/0xb
Comment 5 Dave Jones 2005-01-11 16:24:46 EST
eeeeek, cisco binary-only vpn thing has been known to randomly corrupt memory.

CLOSED->DOOMED, unless you can reproduce this problem without it.

Note You need to log in before you can comment on or make changes to this bug.